GDB (xrefs)

Classes | Namespaces | Functions
gdb_ref_ptr.h File Reference
`#include <cstddef>`

Go to the source code of this file.

## Classes
class | gdb::ref_ptr< T, Policy >

## Namespaces
| gdb

## Functions
template<typename T , typename Policy >
bool | gdb::operator== (const ref_ptr< T, Policy > &lhs, const ref_ptr< T, Policy > &rhs)
template<typename T , typename Policy >
bool | gdb::operator== (const ref_ptr< T, Policy > &lhs, const T *rhs)
template<typename T , typename Policy >
bool | gdb::operator== (const ref_ptr< T, Policy > &lhs, const std::nullptr_t)
template<typename T , typename Policy >
bool | gdb::operator== (const T *lhs, const ref_ptr< T, Policy > &rhs)
template<typename T , typename Policy >
bool | gdb::operator== (const std::nullptr_t, const ref_ptr< T, Policy > &rhs)
template<typename T , typename Policy >
bool | gdb::operator!= (const ref_ptr< T, Policy > &lhs, const ref_ptr< T, Policy > &rhs)
template<typename T , typename Policy >
bool | gdb::operator!= (const ref_ptr< T, Policy > &lhs, const T *rhs)
template<typename T , typename Policy >
bool | gdb::operator!= (const ref_ptr< T, Policy > &lhs, const std::nullptr_t)
template<typename T , typename Policy >
bool | gdb::operator!= (const T *lhs, const ref_ptr< T, Policy > &rhs)
template<typename T , typename Policy >
bool | gdb::operator!= (const std::nullptr_t, const ref_ptr< T, Policy > &rhs)